import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='p1-bank',
    version='0.4.0',
    packages=find_packages(),
    include_package_data=True,
    license='MIT',
    description='A simple Django app that provides Indonesian Bank models and fields.',
    long_description=README,
    install_requires=['factory-boy >= 3.0.0'],
    author='Yonas Adiel',
    author_email='engineering@dekoruma.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 1.11',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
